load('a9a_deterministic_convex_workspace_nostationarity.mat');
margin = 10;
SSG_1_w_candidate_for_stationarity = SSG_1_w_candidate(:,1:margin*numitersub_ub:(step_count_ssg_1+1));
SSG_1_stationarity_measure = deterministic_convex_stationarity_measure_batch(A, b, Ac, idmalec, idfemalec, nummalec, numfemalec, SSG_1_w_candidate_for_stationarity, rho_hat, C, D_X);
SSG_2_w_candidate_for_stationarity = SSG_2_w_candidate(:,1:margin*numitersub_ub:(step_count_ssg_2+1));
SSG_2_stationarity_measure = deterministic_convex_stationarity_measure_batch(A, b, Ac, idmalec, idfemalec, nummalec, numfemalec, SSG_2_w_candidate_for_stationarity, rho_hat, C, D_X);
IPP_SSG_w_candidate_for_stationarity = IPP_SSG_w_candidate(:,1:margin:(numiterippssg_ub+1));
IPP_SSG_stationarity_measure = deterministic_convex_stationarity_measure_batch(A, b, Ac, idmalec, idfemalec, nummalec, numfemalec, IPP_SSG_w_candidate_for_stationarity, rho_hat, C, D_X);
IPP_ConEx_w_candidate_for_stationarity = IPP_ConEx_w_candidate(:,1:margin:(numiterippconex_ub+1));
IPP_ConEx_stationarity_measure = deterministic_convex_stationarity_measure_batch(A, b, Ac, idmalec, idfemalec, nummalec, numfemalec, IPP_ConEx_w_candidate_for_stationarity, rho_hat, C, D_X);
save('SSG_1_stationarity_measure.mat','SSG_1_stationarity_measure');
save('SSG_2_stationarity_measure.mat','SSG_2_stationarity_measure');
save('IPP_SSG_stationarity_measure.mat','IPP_SSG_stationarity_measure');
save('IPP_ConEx_stationarity_measure.mat','IPP_ConEx_stationarity_measure');